package com.gic.jpa.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 门店商品表
 * @author 牧峰 2018-9-14 16:37:09
 */
@Entity
@Table(name = "order_import")
public class Order {

    @Id
    @Column(name = "erp_order_id")
    private String erpOrderId;

    @Column(name = "discount_amount_info")
    private String discountAmountInfo;

    @Column(name = "amount_payable_info")
    private String amountPayableInfo;

    @Column(name = "address_info")
    private String addressInfo;


    @Column(name = "province_name")
    private String provinceName;

    @Column(name = "city_name")
    private String cityName;

    @Column(name = "area_name")
    private String areaName;

    @Column(name = "area_id")
    private String areaId;

    @Column(name = "order_version")
    private String orderVersion;

    public String getOrderVersion() {
        return orderVersion;
    }

    public void setOrderVersion(String orderVersion) {
        this.orderVersion = orderVersion;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAddressInfo() {
        return addressInfo;
    }

    public void setAddressInfo(String addressInfo) {
        this.addressInfo = addressInfo;
    }


    public String getErpOrderId() {
        return erpOrderId;
    }

    public void setErpOrderId(String erpOrderId) {
        this.erpOrderId = erpOrderId;
    }

    public String getDiscountAmountInfo() {
        return discountAmountInfo;
    }

    public void setDiscountAmountInfo(String discountAmountInfo) {
        this.discountAmountInfo = discountAmountInfo;
    }

    public String getAmountPayableInfo() {
        return amountPayableInfo;
    }

    public void setAmountPayableInfo(String amountPayableInfo) {
        this.amountPayableInfo = amountPayableInfo;
    }
}