package com.gic.jpa;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * @author yaorw
 */
@ComponentScan(basePackages = "com.gic")
@EnableJpaRepositories(basePackages = "com.gic.jpa.repository")
@EntityScan(basePackages = "com.gic.jpa.entity")
@SpringBootApplication
public class GicJpaDemoApplication {

    public static void main(String[] args) {
        SpringApplication.run(GicJpaDemoApplication.class, args);
    }
}
